# VelocityCommandCompletions (ACF (Velocity) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: VelocityCommandCompletions

Package co.aikar.commands

# Class VelocityCommandCompletions

java.lang.Object
co.aikar.commands.CommandCompletions<VelocityCommandCompletionContext>
co.aikar.commands.VelocityCommandCompletions

public class VelocityCommandCompletions extends co.aikar.commands.CommandCompletions<VelocityCommandCompletionContext>

## Nested Class Summary

## Nested classes/interfaces inherited from class co.aikar.commands.CommandCompletions

`co.aikar.commands.CommandCompletions.AsyncCommandCompletionHandler<C extends co.aikar.commands.CommandCompletionContext>, co.aikar.commands.CommandCompletions.CommandCompletionHandler<C extends co.aikar.commands.CommandCompletionContext>, co.aikar.commands.CommandCompletions.SyncCompletionRequired`

## Constructor Summary

Constructors
Constructor
Description
`VelocityCommandCompletions(com.velocitypowered.api.proxy.ProxyServer server, co.aikar.commands.CommandManager manager)`

## Method Summary

### Methods inherited from class co.aikar.commands.CommandCompletions

`registerAsyncCompletion, registerCompletion, registerStaticCompletion, registerStaticCompletion, registerStaticCompletion, registerStaticCompletion, setDefaultCompletion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VelocityCommandCompletions

public VelocityCommandCompletions (com.velocitypowered.api.proxy.ProxyServer server, co.aikar.commands.CommandManager manager)